Search endpoint contracts across public marketplace APIs
curl --request GET \
--url https://api.peel.sh/public/marketplace/endpoints \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.peel.sh/public/marketplace/endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.peel.sh/public/marketplace/endpoints"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"marketplace_id": "<string>",
"marketplace_name": "<string>",
"source_host": "<string>",
"endpoint_name": "<string>",
"method": "<string>",
"description": "<string>",
"credit_cost": 1,
"endpoint_type": "<string>",
"auth_requirement": "<string>"
}
],
"next_cursor": "<string>",
"search_truncated": true
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"instance": "<string>",
"code": "<string>",
"message": "<string>",
"retryable": true,
"retry": "same_key",
"docs_url": "<string>",
"details": {}
}Marketplace
Search endpoint contracts across public marketplace APIs
GET
/
public
/
marketplace
/
endpoints
Search endpoint contracts across public marketplace APIs
curl --request GET \
--url https://api.peel.sh/public/marketplace/endpoints \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.peel.sh/public/marketplace/endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.peel.sh/public/marketplace/endpoints"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"marketplace_id": "<string>",
"marketplace_name": "<string>",
"source_host": "<string>",
"endpoint_name": "<string>",
"method": "<string>",
"description": "<string>",
"credit_cost": 1,
"endpoint_type": "<string>",
"auth_requirement": "<string>"
}
],
"next_cursor": "<string>",
"search_truncated": true
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"instance": "<string>",
"code": "<string>",
"message": "<string>",
"retryable": true,
"retry": "same_key",
"docs_url": "<string>",
"details": {}
}Query Parameters
⌘I